visual studio 配置cordova

凰tu
  • 228

**

我先说一下我现在碰到问题

**

clipboard.png

严重性 代码 说明 项目 文件 行 Suppression State
错误 生成服务器 http://192.168.1.101:3000/cor... 中的远程生成错误 - 生成失败,错误 Remotebuild 要求项目将 Cordova-iOS 4.3.0 或更高版本与 XCode 8.3 一起使用。请更新你的 Cordova-iOS 版本。 TeaMiss 1

我的环境是
两电脑,笔记本性能比较高跑windows 运行 visual studio 2017作为开发的客户端。 上图错误是客户端输出 visual studio 该项目中config.xml 里面显示cordova 6.3.1

运行mac 10.12.5 是台比较老的电脑跑黑苹果的,cordova 是 7.0.1 xcode也是最新的 8.3.3
至于 visual studio 同步插件是 2.1.3
cordova platform list 命令打印出来信息

Installed platforms:
 browser 4.1.0
 ios 4.4.0
available platforms:
 android ~6.2.2
 blackberry10 ~3.8.0
 osx ~4.1.0
 webos ~3.7.0

配置我是按照http://go.microsoft.com/fwlin... 这个配置来的

回复
阅读 3.9k
1 个回答

更新Cordova,同时在visual studio中修改config.xml为最新的Cordova.

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏